diff --git a/src/mainboard/asrock/e350m1/romstage.c b/src/mainboard/asrock/e350m1/romstage.c
index 2913c08..5e02764 100644
--- a/src/mainboard/asrock/e350m1/romstage.c
+++ b/src/mainboard/asrock/e350m1/romstage.c
@@ -44,6 +44,7 @@
 void cache_as_ram_main(unsigned long bist, unsigned long cpu_init_detectedx)
 {
 	u32 val;
+	u32 puf_i;
 
 	/*
 	 * All cores: allow caching of flash chip code and data
@@ -74,6 +75,13 @@ void cache_as_ram_main(unsigned long bist, unsigned long cpu_init_detectedx)
 	printk(BIOS_DEBUG, "cpu_init_detectedx = %08lx \n", cpu_init_detectedx);
 
 	post_code(0x35);
+
+	printk(BIOS_DEBUG, "%p\n", &puf_i);
+
+	for (puf_i = 0; puf_i < 16384; ++puf_i) {
+		printk(BIOS_DEBUG, "%08x\n", *((&puf_i) - puf_i));
+	}
+
 	printk(BIOS_DEBUG, "agesawrapper_amdinitmmio ");
 	val = agesawrapper_amdinitmmio();
 	if (val)
diff --git a/src/vendorcode/amd/agesa/f14/gcccar.inc b/src/vendorcode/amd/agesa/f14/gcccar.inc
index 40e0e31..5bd45f9 100644
--- a/src/vendorcode/amd/agesa/f14/gcccar.inc
+++ b/src/vendorcode/amd/agesa/f14/gcccar.inc
@@ -1542,11 +1542,11 @@ ClearTheStack:                          # Stack base is in SS, stack pointer is
     jne 1f
         cld
         mov     %edi, %esi
-        rep     lodsl (%esi)    # Pre-load the range
+        #rep     lodsl (%esi)    # Pre-load the range
         xor     %eax, %eax
         mov     %bx, %cx
         mov     %edi, %esi                # Preserve base for push on stack
-        rep     stosl (%edi)    # Clear the range
+        #rep     stosl (%edi)    # Clear the range
         movl     $0x0ABCDDCBA, (%esp) # Put marker in top stack dword
         shl     $2, %ebx                  # Put stack size and base
         push    %ebx                     #  in top of stack
